<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MeasureRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'name' => 'string|required|max:255',
            'short_name' => 'string|required|max:255',
            'efficiency' => 'string|nullable|max:255',
            'level1_title' => 'string|required|max:255',
            'level1_description' => 'string|nullable|max:255',
            'level1_info' => 'string|nullable|max:255',
            'level1_difficulty' => 'int',
            'level1_cost' => 'int',
            'level1_duration' => 'int',
            'level1_assistance' => 'int',
            'level2_title' => 'string|required|max:255',
            'level2_description' => 'string|nullable|max:255',
            'level2_info' => 'string|nullable|max:255',
            'level2_difficulty' => 'int',
            'level2_cost' => 'int',
            'level2_duration' => 'int',
            'level2_assistance' => 'int',
            'level3_title' => 'string|required|max:255',
            'level3_description' => 'string|nullable|max:255',
            'level3_info' => 'string|nullable|max:255',
            'level3_difficulty' => 'int',
            'level3_cost' => 'int',
            'level3_duration' => 'int',
            'level3_assistance' => 'int',
        ];
    }
}
